org.tmatesoft.svn.core.wc.admin

## Class SVNAdminBasicClient

- java.lang.Object
- - org.tmatesoft.svn.core.wc.admin.SVNAdminBasicClient

All Implemented Interfaces:
  ISVNCanceller, ISVNEventHandler

Direct Known Subclasses:
  SVNAdminClient, SVNLookClient

    public class SVNAdminBasicClient
    extends java.lang.Object
    implements ISVNEventHandler

The SVNBasicClient is the base class of all SVN*Client classes that provides a common interface and realization.

All of SVN*Client classes use inherited methods of SVNBasicClient to access Working Copies metadata, to create a driver object to access a repository if it's necessary, etc. In addition SVNBasicClient provides some interface methods - such as those that allow you to set your `event handler`, obtain run-time configuration options, and others.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

### Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNEventHandler

`UNKNOWN`

### Fields inherited from interface org.tmatesoft.svn.core.ISVNCanceller

`NULL`

### Constructor Summary

Constructors
`protected` `SVNAdminBasicClient(ISVNAuthenticationManager authManager, ISVNOptions options)`
`protected` `SVNAdminBasicClient(ISVNRepositoryPool repositoryPool, ISVNOptions options)`

### Method Summary

Methods
`void` `checkCancelled()` Redirects this call to the registered event handler (if any).
`protected SVNRepository` `createRepository(SVNURL url, java.lang.String uuid, boolean mayReuse)`
`protected void` `dispatchEvent(SVNEvent event, double progress)`
`org.tmatesoft.svn.util.ISVNDebugLog` `getDebugLog()` Returns the debug logger currently in use.
`protected ISVNEventHandler` `getEventDispatcher()`
`ISVNOptions` `getOptions()` Gets run-time configuration options used by this object.
`void` `handleEvent(SVNEvent event, double progress)` Dispatches events to the registered event handler (if any).
`void` `setDebugLog(org.tmatesoft.svn.util.ISVNDebugLog log)` Sets a logger to write debug log information to.
`void` `setEventHandler(ISVNEventHandler dispatcher)` Sets an event handler for this object.
`void` `setOptions(ISVNOptions options)` Sets run-time global configuration options to this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNAdminBasicClient

    protected SVNAdminBasicClient(ISVNAuthenticationManager authManager,
                       ISVNOptions options)

#### SVNAdminBasicClient

    protected SVNAdminBasicClient(ISVNRepositoryPool repositoryPool,
                       ISVNOptions options)

### Method Detail

#### createRepository

    protected SVNRepository createRepository(SVNURL url,
                                 java.lang.String uuid,
                                 boolean mayReuse)
                                      throws SVNException

Throws:
  `SVNException`

#### dispatchEvent

    protected void dispatchEvent(SVNEvent event,
                     double progress)
                          throws SVNException

Throws:
  `SVNException`

#### setDebugLog

    public void setDebugLog(org.tmatesoft.svn.util.ISVNDebugLog log)

Sets a logger to write debug log information to.

Parameters:
  `log` - a debug logger

#### getOptions

    public ISVNOptions getOptions()

Gets run-time configuration options used by this object.

Returns:
  the run-time options being in use

#### checkCancelled

    public void checkCancelled()
                        throws SVNCancelException

Redirects this call to the registered event handler (if any).

Specified by:
  `checkCancelled` in interface `ISVNCanceller`
Throws:
  `SVNCancelException` - if the current operation was cancelled

#### setEventHandler

    public void setEventHandler(ISVNEventHandler dispatcher)

Sets an event handler for this object. This event handler will be dispatched `SVNEvent` objects to provide detailed information about actions and progress state of version control operations performed by do*() methods of SVN*Client classes.

Parameters:
  `dispatcher` - an event handler

#### getEventDispatcher

    protected ISVNEventHandler getEventDispatcher()

#### setOptions

    public void setOptions(ISVNOptions options)

Sets run-time global configuration options to this object.

Parameters:
  `options` - the run-time configuration options

#### getDebugLog

    public org.tmatesoft.svn.util.ISVNDebugLog getDebugLog()

Returns the debug logger currently in use.

If no debug logger has been specified by the time this call occurs, a default one (returned by `org.tmatesoft.svn.util.SVNDebugLog.getDefaultLog()`) will be created and used.

Returns:
  a debug logger

#### handleEvent

    public void handleEvent(SVNEvent event,
                   double progress)
                     throws SVNException

Dispatches events to the registered event handler (if any).

Specified by:
  `handleEvent` in interface `ISVNEventHandler`
Parameters:
  `event` - the current event
  `progress` - progress state (from 0 to 1)
Throws:
  `SVNException`